Bug 243455 - net-mgmt/pmacct: update to 1.7.5, fix SQLDOC logic and build under poudriere
Summary: net-mgmt/pmacct: update to 1.7.5, fix SQLDOC logic and build under poudriere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-19 19:01 UTC by Juraj Lutter
Modified: 2020-08-05 15:06 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter freebsd_committer 2020-01-19 19:01:18 UTC
Hi,

please see the diff https://reviews.freebsd.org/D23261

Fixes:
- Fix SQLDOC PLIST substitute
- Fix SQL headers/libs detection

See poudriere logs:

https://pdr1.wilbury.net/data/12_STABLE_amd64-default/2020-01-19_19h53m52s/logs/pmacct-1.7.3.log

Thanks.
Comment 1 Juraj Lutter freebsd_committer 2020-02-23 10:30:39 UTC
New diff: https://reviews.freebsd.org/D23805
Comment 2 Juraj Lutter freebsd_committer 2020-03-05 22:09:02 UTC
a friendly ping.
Comment 3 Kurt Jaeger freebsd_committer 2020-05-26 11:33:32 UTC
Thanks for the ping - it took me a while to notice. Testbuilding right now.
Comment 4 Kurt Jaeger freebsd_committer 2020-05-26 19:17:54 UTC
I ran into some issues (not related to your patch), see:
https://github.com/pmacct/pmacct/issues/398
Comment 5 Kurt Jaeger freebsd_committer 2020-08-05 14:42:50 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-08-05 14:43:24 UTC
A commit references this bug:

Author: pi
Date: Wed Aug  5 14:42:29 UTC 2020
New revision: 544223
URL: https://svnweb.freebsd.org/changeset/ports/544223

Log:
  net-mgmt/pmacct: update 1.7.4p1 -> 1.7.5

  - added REDIS option, pmacct daemons can now connect to a Redis cache
  - fix SQLDOC pkg-plist substitute
  - fixed SQL headers/libs detection

  PR:		243455
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Relnotes:	https://github.com/pmacct/pmacct/releases/tag/v1.7.5

Changes:
  head/net-mgmt/pmacct/Makefile
  head/net-mgmt/pmacct/distinfo
  head/net-mgmt/pmacct/files/patch-Makefile.am
  head/net-mgmt/pmacct/files/patch-Makefile.in
  head/net-mgmt/pmacct/files/patch-src_kafka__plugin.c
  head/net-mgmt/pmacct/files/patch-src_pgsql__plugin.c
  head/net-mgmt/pmacct/files/patch-src_pmacct.c
  head/net-mgmt/pmacct/files/patch-src_sql__common.c
  head/net-mgmt/pmacct/files/patch-src_sql__common.h
  head/net-mgmt/pmacct/files/patch-src_sqlite3__plugin.c
  head/net-mgmt/pmacct/files/patch-src_util.c
Comment 7 commit-hook freebsd_committer 2020-08-05 15:06:28 UTC
A commit references this bug:

Author: pi
Date: Wed Aug  5 15:06:05 UTC 2020
New revision: 544226
URL: https://svnweb.freebsd.org/changeset/ports/544226

Log:
  net-mgmt/pmacct: remove PLIST_SUB entry with KAFKA

  PR:		243455
  Submitted by:	mat

Changes:
  head/net-mgmt/pmacct/Makefile